# eric7.QScintilla.EditorButtonsWidget

Module implementing a widget containing various buttons for accessing editor actions.

### Global Attributes

None

### Classes

EditorButtonsWidget | Class implementing a widget containing various buttons for accessing editor actions.

### Functions

None

## EditorButtonsWidget

Class implementing a widget containing various buttons for accessing editor actions.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

EditorButtonsWidget | Constructor
__addButton | Private method to add a format button.
__addSeparator | Private method to add a separator line.
__createButtons | Private slot to create the various tool buttons.
__editorSelectionChanged | Private slot to handle a change of the editor's selection.
__editorSettingsRead | Private slot to handle a change of the editor related settings.
__enableScrollerButtons | Private method to set the enabled state of the scroll buttons.
__formatClicked | Private slot to handle a format button being clicked.
__headerMenuTriggered | Private method handling the selection of a header menu entry.
__slide | Private method to move the sliding widget.
__slideDown | Private slot to move the widget downwards, i.e.
__slideUp | Private slot to move the widget upwards, i.e.
__updateButtonStates | Private slot to change the button states.
resizeEvent | Protected method to handle resize events.
show | Public slot to show the widget.

### Static Methods

None

#### EditorButtonsWidget (Constructor)

EditorButtonsWidget(editor, parent=None)

Constructor

editor (Editor)
  reference to the editor
parent (QWidget)
  reference to the parent widget

#### EditorButtonsWidget.__addButton

__addButton(formatName, iconName, toolTip)

Private method to add a format button.

formatName (str)
  unique name of the format
iconName (str)
  name of the icon for the button
toolTip (str)
  text for the tool tip

Return:
  generated button

Return Type:
  QToolButton

#### EditorButtonsWidget.__addSeparator

__addSeparator()

Private method to add a separator line.

#### EditorButtonsWidget.__createButtons

__createButtons()

Private slot to create the various tool buttons.

#### EditorButtonsWidget.__editorSelectionChanged

__editorSelectionChanged()

Private slot to handle a change of the editor's selection.

#### EditorButtonsWidget.__editorSettingsRead

__editorSettingsRead()

Private slot to handle a change of the editor related settings.

#### EditorButtonsWidget.__enableScrollerButtons

__enableScrollerButtons()

Private method to set the enabled state of the scroll buttons.

#### EditorButtonsWidget.__formatClicked

__formatClicked(formatName)

Private slot to handle a format button being clicked.

formatName (str)
  format type of the button

#### EditorButtonsWidget.__headerMenuTriggered

__headerMenuTriggered(act)

Private method handling the selection of a header menu entry.

act (QAction)
  action of the headers menu that was triggered

#### EditorButtonsWidget.__slide

__slide(up)

Private method to move the sliding widget.

up
  flag indicating to move upwards (boolean)

#### EditorButtonsWidget.__slideDown

__slideDown()

Private slot to move the widget downwards, i.e. show contents to the top.

#### EditorButtonsWidget.__slideUp

__slideUp()

Private slot to move the widget upwards, i.e. show contents to the bottom.

#### EditorButtonsWidget.__updateButtonStates

__updateButtonStates()

Private slot to change the button states.

#### EditorButtonsWidget.resizeEvent

resizeEvent(evt)

Protected method to handle resize events.

evt
  reference to the resize event (QResizeEvent)

#### EditorButtonsWidget.show

show()

Public slot to show the widget.

Up